# $Revision: 1.16 $, $Date: 2011/02/06 01:45:39 $
#
# Conditional build:
%bcond_without 	doc

%define	pkgname	builder
Summary:	Simple builder to facilitate programatic generation of XML markup
Summary(pl.UTF-8):	Proste narzędzie do budowania ułatwiające programowe generowanie znaczników XML
Name:		ruby-%{pkgname}
Version:	3.0.0
Release:	1
License:	Ruby's
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	cf9d2693d684a749e35dda886c4dc23c
URL:		http://rubyforge.org/projects/builder
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-modules
Conflicts:	ruby-activesupport < 3.0.0
%{?ruby_mod_ver_requires_eq}
#BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# nothing to be placed there. we're not noarc only because of ruby packaging
%define		_enable_debug_packages	0

%description
Simple builder to facilitate programatic generation of XML markup.

%description -l pl.UTF-8
Proste narzędzie do budowania ułatwiające programowe generowanie
znaczników XML.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -c
%{__tar} xf %{SOURCE0} -O data.tar.gz | %{__tar} xz
find -newer README  -o -print | xargs touch --reference %{SOURCE0}

%build
%if %{with doc}
rdoc --op rdoc lib
rdoc --ri --op ri lib
rm ri/created.rid
rm -r ri/{BlankSlate,Fixnum,Kernel,Module,Object,String}
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir},%{ruby_rdocdir}}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_rubylibdir}
%if %{with doc}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{ruby_rubylibdir}/blankslate.rb
%{ruby_rubylibdir}/builder
%{ruby_rubylibdir}/builder.rb

%if %{with doc}
%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}
%endif

%if %{with doc}
%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Builder
%endif


%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-builder.spec,v $
Revision 1.16  2011/02/06 01:45:39  sparky
- bconds should be the very first thing, moved defines and includes after them

Revision 1.15  2010/11/30 22:20:00  aredridel
- 3.0.0
- C: ruby-activesupport < 3.0.0

Revision 1.14  2010/05/12 22:09:20  sparky
- BR: ruby-modules
- better way to disable subpackages %files

Revision 1.13  2010/03/19 08:02:01  aredridel
- bcond docs

Revision 1.12  2010/03/01 18:59:36  baggins
- use gem source
- added ri package

Revision 1.11  2010/02/28 18:35:57  baggins
- updated build process

Revision 1.10  2010/02/28 18:33:29  baggins
- rel 2

Revision 1.9  2009/01/08 16:23:51  qboosh
- pl for -rdoc

Revision 1.8  2009/01/06 07:27:38  glen
- rdoc subpackage, use tgz to build

Revision 1.7  2007/12/13 09:25:27  aredridel
- 2.1.2

Revision 1.6  2007-03-08 06:40:05  aredridel
- massive attack: correct ri output path for ruby 1.8.6

Revision 1.5  2007/02/12 22:09:13  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.3  2006/12/17 20:19:21  aredridel
- don't build ri

Revision 1.2  2006/08/10 14:48:09  qboosh
- pl, cleanup

Revision 1.1  2006/08/08 21:56:52  aredridel
- added
